petsc-3.10.5 2019-03-28
Report Typos and Errors

# TaoSetStateDesignIS

Indicate to the Tao which variables in the solution vector are state variables and which are design. Only applies to pde-constrained optimization.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetStateDesignIS(Tao tao, IS s_is, IS d_is)

Logically Collective on Tao

### Input Parameters

| tao | - The Tao context
| s_is | - the index set corresponding to the state variables
| d_is | - the index set corresponding to the design variables

### See Also

TaoSetJacobianStateRoutine(), TaoSetJacobianDesignRoutine()

### Level

intermediate

### Location

src/tao/interface/taosolver_hj.c

### Examples

src/tao/pde_constrained/examples/tutorials/elliptic.c.html
src/tao/pde_constrained/examples/tutorials/parabolic.c.html
src/tao/pde_constrained/examples/tutorials/hyperbolic.c.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages